Question

LightFrame DR - Version compatibility: Can I use previous LightFrame versions 3, 2 or 1 for my new Philips P6/X6 line Monitor?

Answer

Your monitor comes with the newest LightFrame engine. It is not compatible with previous software versions.

Was this document helpful?

Yes No Need to try first

Give us your feedback on this FAQ. What could we have done to to answer your question better?